Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.tomcat.jndi
Class KernelInitializingContextFactory

    java.lang.Object
      org.jboss.embedded.jndi.DelegatingContextFactory
          org.jboss.embedded.tomcat.jndi.TomcatBridgeContextFactory
              org.jboss.embedded.tomcat.jndi.KernelInitializingContextFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory

    public class KernelInitializingContextFactory

extends TomcatBridgeContextFactory

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.embedded.jndi.DelegatingContextFactory
`INITIAL_CONTEXT_FACTORY_DEFAULT, INITIAL_CONTEXT_FACTORY_DELEGATE`

Constructor Summary
`KernelInitializingContextFactory()`

Method Summary
`javax.naming.Context` | `getInitialContext(java.util.Hashtable environment)` Get a new (writable) initial context.

Methods inherited from class org.jboss.embedded.jndi.DelegatingContextFactory
`getDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelInitializingContextFactory

    public KernelInitializingContextFactory()

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable environment)
                                           throws javax.naming.NamingException

  Get a new (writable) initial context.

  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
  Overrides:
    `getInitialContext` in class `TomcatBridgeContextFactory`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD